using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class UpdatetablePlacementaddstartstatus : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "PlacementProfiles",
                keyColumn: "PlacementStatus",
                keyValue: null,
                column: "PlacementStatus",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "PlacementStatus",
                table: "PlacementProfiles",
                type: "longtext",
                nullable: false,
                comment: "สถานะการบรรจุ",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "สถานะการบรรจุ")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<string>(
                name: "PlacementStatus",
                table: "PlacementProfiles",
                type: "longtext",
                nullable: true,
                comment: "สถานะการบรรจุ",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "สถานะการบรรจุ")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");
        }
    }
}
